Changeset 2818


Ignore:
Timestamp:
Jun 16, 2003, 11:51:03 PM (17 years ago)
Author:
landonf (Landon Fuller)
Message:

Pull in TCL_DEFS from tclConfig.sh, and use for building TEA extensions.

Location:
trunk/base
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • trunk/base/Mk/dports.autoconf.mk.in

    r2807 r2818  
    77CFLAGS                  = @CFLAGS@ $(CPPFLAGS)
    88CPPFLAGS                = @CPPFLAGS@ @DEFS@ @INCLUDES@ @TCL_INCLUDES@
     9TCL_DEFS                = @TCL_DEFS@
    910SHLIB_CFLAGS            = @SHLIB_CFLAGS@
    1011CFLAGS_DEBUG            = @CFLAGS_DEBUG@
  • trunk/base/Mk/dports.tea.mk

    r2806 r2818  
    11.c.o:
    2         ${CC} -c -DUSE_TCL_STUBS ${CFLAGS} ${SHLIB_CFLAGS} $< -o $@
     2        ${CC} -c -DUSE_TCL_STUBS ${CFLAGS} ${TCL_DEFS} ${SHLIB_CFLAGS} $< -o $@
    33
    44$(SHLIB_NAME):: ${OBJS}
  • trunk/base/configure

    r2817 r2818  
    42654265s,@CFLAGS_DEBUG@,$CFLAGS_DEBUG,;t t
    42664266s,@CFLAGS_OPTIMIZE@,$CFLAGS_OPTIMIZE,;t t
     4267s,@TCL_DEFS@,$TCL_DEFS,;t t
    42674268s,@STLIB_LD@,$STLIB_LD,;t t
    42684269s,@SHLIB_LD@,$SHLIB_LD,;t t
     
    43874388
    43884389  if test x"$ac_file" != x-; then
    4389     { echo "$as_me:4389: creating $ac_file" >&5
     4390    { echo "$as_me:4390: creating $ac_file" >&5
    43904391echo "$as_me: creating $ac_file" >&6;}
    43914392    rm -f "$ac_file"
     
    44054406      [\\/$]*)
    44064407         # Absolute (can't be DOS-style, as IFS=:)
    4407          test -f "$f" || { { echo "$as_me:4407: error: cannot find input file: $f" >&5
     4408         test -f "$f" || { { echo "$as_me:4408: error: cannot find input file: $f" >&5
    44084409echo "$as_me: error: cannot find input file: $f" >&2;}
    44094410   { (exit 1); exit 1; }; }
     
    44184419         else
    44194420           # /dev/null tree
    4420            { { echo "$as_me:4420: error: cannot find input file: $f" >&5
     4421           { { echo "$as_me:4421: error: cannot find input file: $f" >&5
    44214422echo "$as_me: error: cannot find input file: $f" >&2;}
    44224423   { (exit 1); exit 1; }; }
     
    44794480  esac
    44804481
    4481   test x"$ac_file" != x- && { echo "$as_me:4481: creating $ac_file" >&5
     4482  test x"$ac_file" != x- && { echo "$as_me:4482: creating $ac_file" >&5
    44824483echo "$as_me: creating $ac_file" >&6;}
    44834484
     
    44904491      [\\/$]*)
    44914492         # Absolute (can't be DOS-style, as IFS=:)
    4492          test -f "$f" || { { echo "$as_me:4492: error: cannot find input file: $f" >&5
     4493         test -f "$f" || { { echo "$as_me:4493: error: cannot find input file: $f" >&5
    44934494echo "$as_me: error: cannot find input file: $f" >&2;}
    44944495   { (exit 1); exit 1; }; }
     
    45034504         else
    45044505           # /dev/null tree
    4505            { { echo "$as_me:4505: error: cannot find input file: $f" >&5
     4506           { { echo "$as_me:4506: error: cannot find input file: $f" >&5
    45064507echo "$as_me: error: cannot find input file: $f" >&2;}
    45074508   { (exit 1); exit 1; }; }
     
    46204621  if test x"$ac_file" != x-; then
    46214622    if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
    4622       { echo "$as_me:4622: $ac_file is unchanged" >&5
     4623      { echo "$as_me:4623: $ac_file is unchanged" >&5
    46234624echo "$as_me: $ac_file is unchanged" >&6;}
    46244625    else
  • trunk/base/configure.ac

    r2817 r2818  
    6666AC_SUBST(CFLAGS_DEBUG)
    6767AC_SUBST(CFLAGS_OPTIMIZE)
     68AC_SUBST(TCL_DEFS)
    6869AC_SUBST(STLIB_LD)
    6970AC_SUBST(SHLIB_LD)
Note: See TracChangeset for help on using the changeset viewer.